get
https://api.caas.staging.bancocdc.com.br/assignment/document/list/
The retrieve document route is responsible for listing the documents of the assignment.
Attention point:
To use the route, it is necessary to use the assignment code obtained through the assignment launch.
Type Documents
| Code | Format |
|---|---|
| 1 | RG FRENTE |
| 2 | RG VERSO |
| 3 | CNH FRENTE |
| 4 | CNH VERSO |
| 5 | LOGO |
| 6 | RNE VERSO |
| 7 | PERFIL |
| 8 | ASSINATURA |
| 9 | COMPROVANTE DE RESIDÊNCIA |
| 10 | SELFIE COM RG |
| 12 | INSCRIÇÃO MUNICIPAL |
| 43 | OUTROS |
| 13 | AVALIAÇÃO INTERNA DE RISCO |
| 14 | ENRIQUECIMENTO |
| 15 | TERMO CESSÃO |
| 16 | CNAB CESSÃO |
| 45 | CERTIDÃO DE CASAMENTO |
| 17 | CPF |
| 18 | CNPJ |
| 19 | FATURAMENTO ÚLTIMOS 12 MESES |
| 20 | CONTRATO SOCIAL |
| 21 | ESTATUTO E ATA DE NOMEAÇÃO DE DIRETORIA |
| 22 | CERTIFICADO DA CONDIÇÃO DE MICROEMPREENDEDOR INDIVIDUAL |
| 23 | CPF SÓCIO/REPRESENTANTE |
| 24 | RG FRENTE SÓCIO/REPRESENTANTE |
| 25 | RG VERSO SÓCIO/REPRESENTANTE |
| 26 | CNH FRENTE SÓCIO/REPRESENTANTE |
| 27 | CNH VERSO SÓCIO/REPRESENTANTE |
| 28 | COMPROVANTE RESIDENCIA SÓCIO/REPRESENTANTE |
| 29 | CARTEIRA DE TRABALHO |
| 43 | OUTROS |
| 45 | CERTIDÃO DE CASAMENTO |
| 46 | CRM |
Types Extension
| Code | Format |
|---|---|
| 1 | .png |
| 2 | |
| 3 | .jpeg |
| 4 | .txt |
| 7 | .doc |
| 8 | .xls |
| 9 | .xlsx |
| 10 | .docx |
| 11 | x-compressed(.rar) |
| 12 | x-zip-compressed(.zip) |
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-09 | There are no results for the query. |
| 401 | 401-06 | The requested module is not enabled. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | string | Unique identifier for the request. |
| return | boolean | Indicates if the request was successful. |
| return_code | string | Code indicating the result of the request. |
| message | string | Description of the result of the request. |
| data | object | Details of the document. |
| data.[i]name | string | Name of the document. |
| data.[i]type_category | integer | Category type of the document. |
| data.[i]description_category | string | Description of the document category. |
| data.[i]created_at | string (datetime) | Timestamp when the document was created. |